﻿# RedRat Command Line Control

Supports basic actions with RedRat USB devices on Windows (RedRat3 and RedRat-X) and Linux (RedRat-X).

    RR_CLI V5.0.0.0 - Command line interface to the RedRat.
    -------------------------------------------------------

      Usage: RR_CLI <RedRat name> <options>

      Options are:
         -blink              Blinks the red LED.
         -capture filename   Captures signal and stores in file <filename>.
         -output filename    Outputs a signal stored in file <filename>.
         -print              Prints the IR signal data when output.
         -device devicename  Specifies the device to use when working with an xml
                             signal database. (Use -output to set the file.)
         -signal signalname  Specifies the signal to use when working with an xml
                             signal database or xml device file. (Use -output to
                             set the file.)


## Change Log

#### 5.0.0 - May 2020
- Ported to .NET Core & RedRat.dll V 5.X from Nuget.
- Added support for the RedRat-X.

#### 3.01 - Feb 2012
- Can now output an IR signal loaded from the XML DB file.

#### 3.00
- Moved to .NET 3.5.

#### 2.22 - 20th Juky 2009
- Bug in RedRat3USBImpl caused null object exception with signal capture.

#### 2.21 - 3rd July 2009
- Build explicitly for x86, so will run on both 32-bit and 64-bit systems (the latter as a 32bit exe).
- Uses V2.21 of the SDK.
- Released 3rd July 2009.

#### 2.20 - 16 May 2008
- Uses V2.20 of the SDK, i.e. supports RedRat3-IIs.

#### 2.0
- Ported to .NET 2.0

#### 1.8
- Added support for DoubleSignals, but only outputs signal 1.

#### 1.7
- Set as server process so that can be called from web servers etc.

#### 1.6
- Can now also select the RR3 to use via its friendly "location" name.
- Using V1.22/1.23 of SDK.

#### 1.5
- Added stack trace for exceptions.
- Using V1.20 of RedRat.dll/SDK

#### 1.4
- Using SDK V0.17
- Added support for output of IrDa signals.

#### 1.3
- Using .NET Framework 1.1
- Using SDK V0.16

#### 1.2
- Updated to SDK V0.10.
- Used assembly versioning.

#### 1.1 
- Changed to store data in binary format by default.
- Added XML option.

#### 1.0
- First release.

