Signal Decoding Sample
----------------------

This sample shows how to use signal decoding i.e. controlling a PC application with a remote control. It has a single window which can 
be moved around the screen with a remote.

To run the sample, you will need to change it to work with one of your remote controls. The steps are:

1. If you have not already done so, download the Signal Database Utility application from the RedRat website (https://www.redrat.co.uk/software/ir-signal-database-utility/).
  
2. Use this utility to create a signal database by adding a device and then a set of signals to the device; for example UP, DOWN, LEFT and RIGHT.

3. Save the resulting device database.

4. In Visual Studio .NET, open the solution and bring up the file SignalDecoder.cs for code editing.
  
5. In the method MoveWindow(), edit the name of the AVDevice and Signal to match the device/signal names captured in step 2. There are 4 
directions which can be matched to different remote control buttons.

6. Start SignalDecoding.exe. Once started, right click on the body of the window to bring up the context menu, and load the signal DB saved in step 3.

7. You should now be able to move the window around the screen with your remote control!
